org.apache.struts2.jasper.runtime

## Class AnnotationHelper

- java.lang.Object
- - org.apache.struts2.jasper.runtime.AnnotationHelper

-     public class AnnotationHelper
      extends Object

  Verify the annotation and Process it.
  Version:
    $Revision: 467222 $, $Date: 2006-10-24 05:17:11 +0200 (Tue, 24 Oct 2006) $
  Author:
    Fabien Carrion, Remy Maucherat

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AnnotationHelper()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `postConstruct(org.apache.AnnotationProcessor processor, Object instance)` Call postConstruct method on the specified instance.
    `static void` | `preDestroy(org.apache.AnnotationProcessor processor, Object instance)` Call preDestroy method on the specified instance.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AnnotationHelper

          public AnnotationHelper()

  - ### Method Detail

    - #### postConstruct

          public static void postConstruct(org.apache.AnnotationProcessor processor,
                                           Object instance)
                                    throws IllegalAccessException,
                                           InvocationTargetException,
                                           NamingException

      Call postConstruct method on the specified instance. Note: In Jasper, this calls naming resources injection as well.
      Parameters:
        `processor` - annotation processor
        `instance` - object instance
      Throws:
        `IllegalAccessException` - on error
        `InvocationTargetException` - on error
        `NamingException` - on error

    - #### preDestroy

          public static void preDestroy(org.apache.AnnotationProcessor processor,
                                        Object instance)
                                 throws IllegalAccessException,
                                        InvocationTargetException

      Call preDestroy method on the specified instance.
      Parameters:
        `processor` - annotation processor
        `instance` - object instance
      Throws:
        `IllegalAccessException` - on error
        `InvocationTargetException` - on error

Copyright © 2000–2023 Apache Software Foundation. All rights reserved.